package utilities;


/**
 * @author Mathieu Rousseau
 * @email mathieu.rousseau3@mail.mcgill.ca
 */


import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.HashMap;


/** ------------------------------------------------------------------------------------------------------------------
 * start of ConvertMatrixToARFF class
 * ------------------------------------------------------------------------------------------------------------------  **/
public class ConvertMatrixToARFF {
	
	
	
	
	/*  global parameters  */
	private static final String inputPath = "ConvertMatrixToARFF/Input/";
	private static final String outputPath = "ConvertMatrixToARFF/Output/";
	/*  end of global parameters  */
	
	
	
	
	/*  start of main method  */
	/**
	 * @param args
	 */
	public static void main(String[] args) {
		
		
		
		
		/******************************************************
		 * 													  *
		 * 				SET THE PARAMETERS HERE				  *
		 * 													  *
		 ******************************************************/
		
		
		String relation = "MLL";
		
		String filename_data = "PairwiseDistance_matrix.txt";
//		String filename_data = "RMSD_matrix.txt";
		
		String filename_class_labels = "classLabels.txt";
		
		String filename_ARFF_header = "ARFF_header.txt";
		
		
		
		/******************************************************
		 * 													  *
		 * 				END OF SETTING THE PARAMETERS		  *
		 * 													  * 
		 ******************************************************/
		
		
		
		
		ARFFutility utility_ARFF = new ARFFutility(relation);
		
		utility_ARFF.generateARFFfile(inputPath + filename_data, inputPath + filename_class_labels, inputPath + filename_ARFF_header);
		
		
		System.out.println("Done!");
	}/*  end of main method  */

}/*  end of ConvertMatrixToARFF class  */
